/***************************************************************************
*   Copyright (C) 2004 by Christoph Thielecke                             *
*   crissi99@gmx.de                                                       *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/

#include <klocale.h>
#include <kprocess.h>
#include <tqpushbutton.h>
#include <tqlineedit.h>
#include <klineedit.h>
#include <kpassdlg.h>
#include <kmessagebox.h>
#include <tqprocess.h>
#include <tqtextedit.h>
#include <tqwidget.h>
#include <tqframe.h>
#include <tqwhatsthis.h>
#include <tqtooltip.h>
#include <tqlayout.h>
#include "mainview.h"


MainView::MainView( TQWidget* parent, const char* name, bool, WFlags fl ) : MainViewBase( parent, name, fl )
{
	DebugOutput = new DebugOutputTextEdit(this, "DebugOutput");
	MainViewBaseLayout->addMultiCellWidget(DebugOutput,1,1,0,4);
	DebugOutput->setReadOnly(true);
	DebugOutput->setText( TQString() );
	TQToolTip::add( DebugOutput, tr2i18n( "Debug console" ) );
	TQWhatsThis::add( DebugOutput, tr2i18n( "The debug console shows useful debug information to solve problems. You need to turn on debug features for the program you want to produce output in preferences dialog." ) );

}


MainView::~MainView() {}




